Commit 206fb2fd authored by Arnaud Bey's avatar Arnaud Bey
Browse files

fix install

parent 4d467d5a
......@@ -14,6 +14,7 @@ cache:
permission:
chown -R www-data:www-data var/ web/upload/profilepic
chmod -R 777 /var/www/var/cache/
composer:
composer install -o
......
......@@ -37,7 +37,8 @@
"willdurand/js-translation-bundle": "^2.6",
"twig/twig": "^1.0||^2.0",
"michelf/php-markdown": "^1.7",
"friendsofsymfony/ckeditor-bundle": "^3.0@dev"
"friendsofsymfony/ckeditor-bundle": "^3.0@dev",
"symfony/orm-pack": "dev-main"
},
"require-dev": {
"sensio/generator-bundle": "^3.0",
......
This diff is collapsed.
......@@ -144,6 +144,7 @@
"version": "2.10.1",
"resolved": "https://registry.npmjs.org/boom/-/boom-2.10.1.tgz",
"integrity": "sha1-OciRjO/1eZ+D+UkqhI9iWt0Mdm8=",
"optional": true,
"requires": {
"hoek": "2.x.x"
}
......@@ -252,6 +253,7 @@
"version": "1.0.6",
"resolved": "https://registry.npmjs.org/combined-stream/-/combined-stream-1.0.6.tgz",
"integrity": "sha1-cj599ugBrFYTETp+RFqbactjKBg=",
"optional": true,
"requires": {
"delayed-stream": "~1.0.0"
}
......@@ -352,7 +354,8 @@
"delayed-stream": {
"version": "1.0.0",
"resolved": "https://registry.npmjs.org/delayed-stream/-/delayed-stream-1.0.0.tgz",
"integrity": "sha1-3zrhmayt+31ECqrgsp4icrJOxhk="
"integrity": "sha1-3zrhmayt+31ECqrgsp4icrJOxhk=",
"optional": true
},
"ecc-jsbn": {
"version": "0.1.1",
......@@ -419,7 +422,8 @@
"extsprintf": {
"version": "1.3.0",
"resolved": "https://registry.npmjs.org/extsprintf/-/extsprintf-1.3.0.tgz",
"integrity": "sha1-lpGEQOMEGnpBT4xS48V06zw+HgU="
"integrity": "sha1-lpGEQOMEGnpBT4xS48V06zw+HgU=",
"optional": true
},
"faye-websocket": {
"version": "0.10.0",
......@@ -803,7 +807,8 @@
"hoek": {
"version": "2.16.3",
"resolved": "https://registry.npmjs.org/hoek/-/hoek-2.16.3.tgz",
"integrity": "sha1-ILt0A9POo5jpHcRxCo/xuCdKJe0="
"integrity": "sha1-ILt0A9POo5jpHcRxCo/xuCdKJe0=",
"optional": true
},
"hooker": {
"version": "0.2.3",
......@@ -1101,12 +1106,14 @@
"mime-db": {
"version": "1.33.0",
"resolved": "https://registry.npmjs.org/mime-db/-/mime-db-1.33.0.tgz",
"integrity": "sha1-o0kgUKXLm2NFBUHjnZeI0icng9s="
"integrity": "sha1-o0kgUKXLm2NFBUHjnZeI0icng9s=",
"optional": true
},
"mime-types": {
"version": "2.1.18",
"resolved": "https://registry.npmjs.org/mime-types/-/mime-types-2.1.18.tgz",
"integrity": "sha1-bzI/YKg9ERRvgx/xH9ZuL+VQO7g=",
"optional": true,
"requires": {
"mime-db": "~1.33.0"
}
......
......@@ -10,7 +10,7 @@ services:
#Le dossier application de la machine hote est mappé avec /var/www du container
volumes:
- ./application:/var/www
- ./docker-files/override.ini:/etc/php/7.2/apache2/conf.d/php.ini
- ./docker-files/override.ini:/etc/php/7.4/apache2/conf.d/php.ini
links:
- db:db
db:
......
FROM ubuntu:18.10
FROM ubuntu:20.04
MAINTAINER Sylvain Hatier & Arnaud Bey
......@@ -12,25 +12,23 @@ RUN apt-get -qqq update && DEBIAN_FRONTEND=noninteractive apt-get install -qqq -
gdebi \
apache2 \
openssl \
python2.7 \
python-pip \
php7.2 \
libapache2-mod-php7.2 \
php7.2-bcmath \
php7.2-cli \
php7.2-common \
php7.2-curl \
php7.2-dev \
php7.2-fpm \
php7.2-intl \
php7.2-json \
php7.2-mbstring \
php7.2-mysql \
php7.2-opcache \
php7.2-readline \
php7.2-xml \
php7.2-zip \
php7.2-gd \
php7.4 \
libapache2-mod-php7.4 \
php7.4-bcmath \
php7.4-cli \
php7.4-common \
php7.4-curl \
php7.4-dev \
php7.4-fpm \
php7.4-intl \
php7.4-json \
php7.4-mbstring \
php7.4-mysql \
php7.4-opcache \
php7.4-readline \
php7.4-xml \
php7.4-zip \
php7.4-gd \
php-common \
php-imagick \
acl \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment